DUNE-RPC(1)

NAME

dune-rpc - Dune's RPC mechanism. Experimental.

SYNOPSIS

dune rpc COMMAND …

DESCRIPTION

This is experimental. do not use

COMMANDS

build [OPTION]… [TARGET]…
    build a given target (requires dune to be running in passive watching mode)

ping [OPTION]…
    Ping the build server running in the current directory

status [OPTION]…
    show active connections

COMMON OPTIONS

These options are common to all commands.

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

MORE HELP

Use `dune COMMAND --help' for help on a single command.

EXIT STATUS

rpc exits with the following status:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

BUGS

Check bug reports at https://github.com/ocaml/dune/issues

SEE ALSO

dune(1)